From 281e684b242314d93120faf875c1456ecdddef2b Mon Sep 17 00:00:00 2001
From: Erik Wienhold <ewie@ewie.name>
Date: Mon, 18 Mar 2024 19:38:53 +0100
Subject: [PATCH v1] Add note about missing money operators

---
 doc/src/sgml/datatype.sgml | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index 73e51b0b11..d4b4ec54bc 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -1118,6 +1118,16 @@ SELECT '52093.89'::money::numeric::float8;
     value, the result is <type>double precision</type> (i.e., a pure number,
     not money); the currency units cancel each other out in the division.
    </para>
+
+   <note>
+    <para>
+     <type>Money</type> does not implement all
+     <link linkend="functions-math-op-table">operators</link>
+     that one might expect of a numeric type.  For example, use
+     <literal>(-amount::numeric)::money</literal> to negate
+     <literal>amount</literal>.
+    </para>
+   </note>
   </sect1>
 
 
-- 
2.44.0

